lua-doc_3.0.1+gitdb9e868-1_all.deb


Advertisement

Description

lua-doc - Documentation generator for lua

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename lua-doc_3.0.1+gitdb9e868-1_all.deb
Package name lua-doc
Package version 3.0.1+gitdb9e868
Package release 1
Package architecture all
Package type deb
Category interpreters
Homepage http://luadoc.luaforge.net
License -
Maintainer Enrico Tassi <gareuselesinge@debian.org>
Download size 17.13 KB
Installed size 117.00 KB
LuaDoc is a documentation generator tool for Lua source code.
It parses the declarations and documentation comments in a
set of Lua source files and produces a set of XHTML pages describing the
commented declarations and functions.
The output is not limited to XHTML. Other formats can be generated by
implementing new doclets. The format of the documentation comments
is also flexible and can be customized by implementing new
taglets.
This package also contains the documentation for luadoc, describing the
supported syntax and how to customize the tool input (taglets) and output
(doclets).

Alternatives

Package Version Architecture Repository
lua-doc_3.0.1+gitdb9e868-1_all.deb 3.0.1+gitdb9e868 all Debian Main
lua-doc - - -

Requires

Name Value
lua-filesystem -
lua-logging -

Provides

Name Value
lua5.1-doc -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package lua-doc_3.0.1+gitdb9e868-1_all.deb
Source Package lua-doc

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install lua-doc deb package:
    # sudo apt-get install lua-doc

Files

Path
/usr/share/doc/lua-doc/changelog.Debian.gz
/usr/share/doc/lua-doc/copyright
/usr/share/lua/5.1/luadoc/config.lua
/usr/share/lua/5.1/luadoc/init.lua
/usr/share/lua/5.1/luadoc/lp.lua
/usr/share/lua/5.1/luadoc/util.lua
/usr/share/lua/5.1/luadoc/doclet/debug.lua
/usr/share/lua/5.1/luadoc/doclet/formatter.lua
/usr/share/lua/5.1/luadoc/doclet/html.lua
/usr/share/lua/5.1/luadoc/doclet/raw.lua
/usr/share/lua/5.1/luadoc/doclet/html/file.lp
/usr/share/lua/5.1/luadoc/doclet/html/function.lp
/usr/share/lua/5.1/luadoc/doclet/html/index.lp
/usr/share/lua/5.1/luadoc/doclet/html/luadoc.css
/usr/share/lua/5.1/luadoc/doclet/html/menu.lp
/usr/share/lua/5.1/luadoc/doclet/html/module.lp
/usr/share/lua/5.1/luadoc/doclet/html/table.lp
/usr/share/lua/5.1/luadoc/taglet/standard.lua
/usr/share/lua/5.1/luadoc/taglet/standard/tags.lua

Changelog

2012-05-06 - Enrico Tassi <gareuselesinge@debian.org>
lua-doc (3.0.1+gitdb9e868-1) unstable; urgency=low
* New upstream snapshot 
* Packaging moved to git
* Transitional packages removed 
2012-05-06 - Enrico Tassi <gareuselesinge@debian.org>
lua-doc (3.0.1-5) unstable; urgency=low
* Dependencies/Conflicts fixed (Closes: #671681) 
2012-05-02 - Enrico Tassi <gareuselesinge@debian.org>
lua-doc (3.0.1-4) unstable; urgency=low
* Switch to dh-lua
* Packages renamed according to the new Lua policy
* debian/compat set to 8
* Update watch file 
* Bumped standards-version to 3.9.3, no changes
2011-07-22 - Enrico Tassi <gareuselesinge@debian.org>
lua-doc (3.0.1-3) unstable; urgency=low
* source format 3.0 (quilt)
* bumped standards-version to 3.9.2, no changes 
2009-07-21 - Enrico Tassi <gareuselesinge@debian.org>
lua-doc (3.0.1-2) unstable; urgency=low
* bumped standards-version to 3.8.2, no changes
* build-depend on lua5.1-policy-dev >= 22
2008-03-18 - Enrico Tassi <gareuselesinge@debian.org>
lua-doc (3.0.1-1) unstable; urgency=low
* New upstream release
* Bumped standards-version to 3.7.3, no changes needed 
2007-09-14 - Enrico Tassi <gareuselesinge@debian.org>
lua-doc (3.0-5) unstable; urgency=low
* fixed watch file (Closes: #450141)
2007-09-04 - Enrico Tassi <gareuselesinge@debian.org>
lua-doc (3.0-4) unstable; urgency=low
* added dependency among lua5.1-policy-dev >= 14 to fix accidental deletion
of .install file (Closes: #441718)
* this version of the package is sutable for testing since all dependencies
are correct (Closes: #439011)
2007-09-04 - Enrico Tassi <gareuselesinge@debian.org>
lua-doc (3.0-3) unstable; urgency=low
* added dependency over liblua5.1-logging
2007-07-31 - Enrico Tassi <gareuselesinge@debian.org>
lua-doc (3.0-1) unstable; urgency=low
* New upstream release

See Also

Package Description
lua-event-dev_0.4.6-1_i386.deb libevent development files for the Lua language
lua-event_0.4.6-1_i386.deb asynchronous event notification library for Lua
lua-expat-dev_1.3.0-4_i386.deb libexpat development files for the Lua language
lua-expat_1.3.0-4_i386.deb libexpat bindings for the Lua language
lua-fifo_0.2-3_all.deb FIFO implementation for Lua
lua-filesystem-dev_1.6.3-1_i386.deb luafilesystem development files for the Lua language
lua-filesystem_1.6.3-1_i386.deb luafilesystem library for the Lua language
lua-gall-doc_1.3-1_all.deb Documentation for lua-gall
lua-gall_1.3-1+b2_i386.deb Git Abstraction Layer for Lua
lua-geoip-dev_0.1.2+git20160613-3_i386.deb Development files for lua-geoip library
lua-geoip_0.1.2+git20160613-3_i386.deb GeoIP library bindings for the Lua language
lua-guestfs_1.40.2-2_i386.deb guest disk image management system - Lua bindings
lua-hamlib2_3.3-5_i386.deb Run-time Lua library to control radio transceivers and receivers
lua-http_0.1-3_all.deb HTTP library for Lua
lua-iconv-dev_7-3_i386.deb iconv bindings for Lua - development files
Advertisement
Advertisement